Bug 1660634 (CVE-2019-0564) - CVE-2019-0564 Asp.NET Core: Kestrel - WebSocket DoS via CancellationToken (CoreFX and ASP.NET)
Summary: CVE-2019-0564 Asp.NET Core: Kestrel - WebSocket DoS via CancellationToken (Co...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2019-0564
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1660643
TreeView+ depends on / blocked
 
Reported: 2018-12-18 21:22 UTC by Laura Pardo
Modified: 2020-04-22 03:33 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-27 09:32:31 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0040 None None None 2019-01-09 08:52:52 UTC

Description Laura Pardo 2018-12-18 21:22:56 UTC
The methods for sending and receiving data on a WebSocket accept a CancellationToken, but previously did not implement actual support for cancellation. Activating the cancellation token would result in a no-op, and would not cancel any in progress operations. This provided a potential avenue for DOS, by tying up connections to a server with WebSocket connections that the server could not cancel.

Comment 3 errata-xmlrpc 2019-01-09 08:52:51 UTC
This issue has been addressed in the following products:

  .NET Core on Red Hat Enterprise Linux

Via RHSA-2019:0040 https://access.redhat.com/errata/RHSA-2019:0040


Note You need to log in before you can comment on or make changes to this bug.